<template>
  <Card
    :title="title"
    :subtitle="formattedDate"
  >
    <slot />
  </Card>
</template>

<script>
  import moment from 'moment'

  import Card from './05 Card'

  export default {
    name: 'ArticlePreview',

    components: {
      Card
    },

    props: {
      title: {
        type: String,
        required: true
      },

      date: {
        type: String,
        default: undefined
      },

      dateFormat: {
        type: String,
        default: 'DD.MM.YYYY'
      }
    },

    computed: {
      formattedDate() {
        if (this.date !== undefined) {
          return moment(this.date).format(this.dateFormat)
        }

        return undefined
      }
    }
  }
</script>
